io.etcd.jetcd

## Class Observers.Builder<V>

- java.lang.Object
- - io.etcd.jetcd.Observers.Builder<V>

Enclosing class:
  Observers

    public static final class Observers.Builder<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.stub.StreamObserver<V>` `build()`
`Observers.Builder<V>` `onCompleted(Runnable onCompleted)`
`Observers.Builder<V>` `onError(Consumer<Throwable> onError)`
`Observers.Builder<V>` `onNext(Consumer<V> onNext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### onNext

    public Observers.Builder<V> onNext(Consumer<V> onNext)

#### onError

    public Observers.Builder<V> onError(Consumer<Throwable> onError)

#### onCompleted

    public Observers.Builder<V> onCompleted(Runnable onCompleted)

#### build

    public io.grpc.stub.StreamObserver<V> build()